# -*- coding: UTF-8 -*-
"""
Fonctions de gestion des locks Eole
"""
from os import unlink, system
from os.path import join, isfile

def add_lock(lock_path, lock_name):
    """création d'un lock
    renvoie False si le fichier n'a pas pu être créé
    """
    lock_file = join(lock_path, lock_name)
    system('touch %s' % lock_file)
    if not check_lock(lock_path, lock_name):
        return False
    return True

def del_lock(lock_path, lock_name):
    """suppression d'un lock
    True si existant, False sinon
    """
    lock_file = join(lock_path, lock_name)
    if isfile(lock_file):
        try:
            unlink(lock_file)
        except OSError:
            return False
    return True

def check_lock(lock_path, lock_name):
    """Test d'existance d'un lock
    """
    lock_file = join(lock_path, lock_name)
    return isfile(lock_file)
